curl
curl -sS -X POST "https://gateway.orbit/api/v1/projects/4/documents/1/archive" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"expected_revision": 1}'{
"data": {
"id": 123,
"project_id": 123,
"kind": "<string>",
"parent_id": 123,
"name": "<string>",
"revision": 123,
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"path": "<string>",
"is_archived": true,
"current_version": {
"id": 123,
"number": 123,
"media_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "<string>",
"created_by_node_id": 123
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
project:document:archive
Project-scoped Documents. Requires ProjectOwning Node access. See /reference/project-documents for limits, archive inheritance, revision preconditions and retry recovery. No object keys or credentials are returned.
POST
/
api
/
v1
/
projects
/
{project}
/
documents
/
{entry}
/
archive
curl
curl -sS -X POST "https://gateway.orbit/api/v1/projects/4/documents/1/archive" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"expected_revision": 1}'{
"data": {
"id": 123,
"project_id": 123,
"kind": "<string>",
"parent_id": 123,
"name": "<string>",
"revision": 123,
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"path": "<string>",
"is_archived": true,
"current_version": {
"id": 123,
"number": 123,
"media_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "<string>",
"created_by_node_id": 123
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Project ID.
Required range:
x >= 1Numeric Project Document entry ID.
Required range:
x >= 1Body
application/json
Observed revision
Required range:
x >= 1